{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Ventas{% endblock %}
{% block css %}
       
{% endblock css %}

{% block content %}
{% if user.is_staff or request.user.user_profile == 'operador' or request.user.user_profile == 'vendedor' %}
        <div class="wrapper">
            
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
            <!-- /.sidebar -->
            
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-dark">{{ title }}</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">{{ entity }}</a></li>
                                    <li class="breadcrumb-item active">{{ entity }}</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-12">               
                                <!-- Default box -->
                                <div class="card card-secondary card-outline mb-4">
                                    <div class="card-header">
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6 mt-1">
                                                <h3 class="card-title">
                                                    <i class="fas fa-search"></i>
                                                    {{ title }}
                                                </h3>
                                            </div>
                                            {% if user.is_staff or request.user.user_profile == 'operador' %}
                                            <div class="col-lg-6 col-md-6 col-sm-6 text-right mt-1">
                                                <a  href="{% url 'almacen:venta_reporte' %}">
                                                    <button type="button" class="btn btn-primary ">
                                                        <i class="fas fa-chart-bar"></i>&nbsp;&nbsp;Ver Reporte
                                                    </button>
                                                </a>
                                            </div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <table id="data" class="table table-bordered ">
                                            <thead class="bg-info">
                                            <tr>
                                                <th>Nro</th>
                                                <th>Tipo de Venta</th>
                                                <th>Cliente</th>
                                                <th>Fecha de registro</th>
                                                <th>Subtotal</th>
                                                <th>Total</th>
                                                <th>Opciones</th>
                                            </tr>
                                            </thead>
                                        
                                        </table>
                                    </div>
                                    <!-- /.card-body -->
                                    <div class="card-footer">

                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /.content -->
                <div class="modal fade" id="myModelDet" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-lg" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel"><b><i class="fas fa-shopping-cart"></i> Consulta de
                                    detalle de productos</b></h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <table class="table table-bordered" id="tblDet">
                                    <thead class="bg-info">
                                    <tr>
                                        <th>Código</th>
                                        <th>Producto</th>
                                        <th>Familia</th>
                                        <th>Precio Venta</th>
                                        <th>Cantidad</th>
                                        <th>Subtotal</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {% include "views/default/footer.html" %}
           
        </div>
        <!-- ./wrapper -->
        {% endif %}
        <!-- REQUIRED SCRIPTS -->
        {% endblock content %}
        {% block js %}
        <script src="{% static 'dist/js/pages/list_venta.js' %}"></script>
        {% if messages %}
            {% for message in messages %}
                {% if message.tags == 'success'%}
                <script type=text/javascript>
                    toastr.{{ message.tags }}('{{ message }}')               
                </script>
                {% endif %}
            {% endfor %}
        {% endif %}
        {% endblock js %}